function yf=bpf(y,up,dn,K);

%  y= data
%  up = highest frequency
%  dn = lowest frequency
%  K  = # of terms in the moving average
%



x=[up dn];
[r c]= size(y);


omubar=2*pi/up;
omlbar=2*pi/dn;


akvec=zeros(K+1);
akvec(1)=(omubar-omlbar)/pi ;


for k=1:K;
    akvec(k+1)=(sin(k*omubar)-sin(k*omlbar))/(k*pi);
end;

phi=0;

if (dn>1000)
 phi=1/(2*K-1);     %low pass
end;


theta=akvec(1)+2*sum(akvec(2:K+1));
theta=phi-(theta/(2*K+1));
akvec=akvec+theta;

% constructing the frequency response

grif=1000;
for omcou=1:grif;
        xom(omcou)=-pi+omcou*(2*pi)/grif;
        fom(omcou)=akvec(1);
    for k=2:K;
        fom(omcou)=fom(omcou)+2*akvec(k)*cos( (k-1)*xom(omcou) );
    end;
end;


 % plot the frequency response

%plot(xom,fom);
%xlabel('frequencies');
%figure;



yf=filtk(y,akvec);
