function get_ascii(gmodel);
% function get_ascii(gmodel);
%
% gmodel: case

  if gmodel==1,
     load solow1data_original;
  end
    if gmodel==2,
     load solow2data_original;
  end
  if gmodel==3,
     load solow3data_original;
  end

savea = transpose(a);
savez = transpose(xi);
savet = transpose(timeaxis);
savek = transpose(k);
savey = transpose(y);
saveGDP = transpose(GDP);
saveCapitalStock = transpose(CapitalStock);
ACLogGDP = LogGDP-(ExpLogOutputIntensity+LogTechnState);
ACLogCapitalStock = LogCapitalStock-(ExpLogCapitalIntensity+LogTechnState);

if gmodel==1,
  save data1_a.ascii savea -ascii -double;
  save data1_z.ascii savez -ascii -double;
  save data1_t.ascii savet -ascii -double;
  save data1_k.ascii savek -ascii -double;
  save data1_y.ascii savey -ascii -double;
  save data1_GDP.ascii saveGDP -ascii -double;
  save data1_CapitalStock.ascii saveCapitalStock -ascii -double;
  save data1_BPLogGDP.ascii BPLogGDP -ascii -double;
  save data1_HPLogGDP.ascii HPLogGDP -ascii -double;
  save data1_ActualCycleLogGDP.ascii ACLogGDP -ascii -double;
  save data1_BPLogCapitalStock.ascii BPLogCapitalStock -ascii -double;
  save data1_HPLogCapitalStock.ascii HPLogCapitalStock -ascii -double;
  save data1_ActualCycleLogCapitalStock.ascii ACLogCapitalStock -ascii -double;
end

if gmodel==2,
  save data2_a.ascii savea -ascii -double
  save data2_z.ascii savez -ascii -double
  save data2_t.ascii savet -ascii -double
  save data2_k.ascii savek -ascii -double
  save data2_y.ascii savey -ascii -double
  save data2_GDP.ascii saveGDP -ascii -double
  save data2_CapitalStock.ascii saveCapitalStock -ascii -double
  save data2_BPLogGDP.ascii BPLogGDP -ascii -double
  save data2_HPLogGDP.ascii HPLogGDP -ascii -double
  save data2_ActualCycleLogGDP.ascii ACLogGDP -ascii -double
  save data2_BPLogCapitalStock.ascii BPLogCapitalStock -ascii -double
  save data2_HPLogCapitalStock.ascii HPLogCapitalStock -ascii -double
  save data2_ActualCycleLogCapitalStock.ascii ACLogCapitalStock -ascii -double
end

if gmodel==3,
  save data3_a.ascii savea -ascii -double
  save data3_z.ascii savez -ascii -double
  save data3_t.ascii savet -ascii -double
  save data3_k.ascii savek -ascii -double
  save data3_y.ascii savey -ascii -double
  save data3_GDP.ascii saveGDP -ascii -double
  save data3_CapitalStock.ascii saveCapitalStock -ascii -double
  save data3_BPLogGDP.ascii BPLogGDP -ascii -double
  save data3_HPLogGDP.ascii HPLogGDP -ascii -double
  save data3_ActualCycleLogGDP.ascii ACLogGDP -ascii -double
  save data3_BPLogCapitalStock.ascii BPLogCapitalStock -ascii -double
  save data3_HPLogCapitalStock.ascii HPLogCapitalStock -ascii -double
  save data3_ActualCycleLogCapitalStock.ascii ACLogCapitalStock -ascii -double
end
